Bug 1020734 - OptaPlanner workbench webtooling: determine functional requirements
OptaPlanner workbench webtooling: determine functional requirements
Status: CLOSED NOTABUG
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: OptaPlanner (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Geoffrey De Smet
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 04:37 EDT by Geoffrey De Smet
Modified: 2015-09-10 08:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-10 08:33:42 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-10-18 04:37:11 EDT
Prakash is asked for webtooling for OptaPlaner for a while now.
Actual implementation is a huge issue and a full time job for several months (not combinable with optaplanner-core work, currently impossible for 6.1 or 6.2).

Technical requirements for optaplanner-wb:
- part of kie-wb
- reuse drools-wb
- use UberFire

This bugzilla is to gather the functional requirements for optaplanner-wb.

1) SolverConfig GUI, including GUI for
1a) Termination
2a) ScoreFactory
3a) Selector
4a) CH
5a) LS
...

2) Integration with Drools to define the score
2a) Drools guided rule editor
2b) Drools decision tables
2c) Drools scorecards
...

3) Integration with guvnor to define the model

4) Testing?

5) Benchmarking
5a) BenchmarkConfig GUI
5b) Benchmark report
5c) Dataset input
...

6) kjar support?
Comment 2 Geoffrey De Smet 2013-11-26 10:33:00 EST
Let's move this issue to 6.1 (and probably 6.2). There's no point in doing this analysis now if there's no bandwidth to implement it.
Comment 3 Geoffrey De Smet 2015-09-10 08:30:35 EDT
This issue can be closed.
The requirements are listed in the jira PLANNER component optaplanner-web:
https://issues.jboss.org/browse/PLANNER-435?jql=project%20%3D%20PLANNER%20AND%20component%20%3D%20optaplanner-wb
And a prototype is underway:
  https://issues.jboss.org/browse/BPMSPL-129

Note You need to log in before you can comment on or make changes to this bug.